API ReferenceTime slots

List available slots for a booking intent

Returns time slots available for this booking intent's configuration. The slot pattern is driven by the intent's primary service provider (or all service providers if no primary is set), filtered by the availability of any configured secondary providers.

GET
/v1/booking_intents/{booking_intent_id}/slots

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

booking_intent_id*string

Booking Intent ID

Query Parameters

from?string

Start of time range (ISO date format). Defaults to today in time_zone when supplied, otherwise today in UTC.

Formatdate
until?string

End of time range (ISO date format). Either until or limit must be provided.

Formatdate
limit?integer

Maximum number of available slots to return. Either limit or until must be provided.

Range1 <= value
time_zone?string

IANA time zone for the slots. Slot times are formatted in this zone (Etc/UTC when omitted). When supplied, from and until are interpreted as calendar dates in this zone; when omitted, they are interpreted in the service's time zone.

Default"Etc/UTC"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/booking_intents/string/slots"
{  "data": [    {      "end_at": "2025-03-10T10:00:00Z",      "end_at_ts": 1741600800,      "object": "slot",      "start_at": "2025-03-10T09:00:00Z",      "start_at_ts": 1741597200,      "time_zone": "Etc/UTC"    }  ]}